Payouts

Get payouts

Paginated list of the business's payouts.

GET
/api/payouts
AuthorizationBearer <token>

In: header

Query Parameters

page?number
limit?number
startDate?string
endDate?string
type?string
Value in"SCHEDULED" | "INSTANT"
payoutCategory?string
Value in"wallet" | "mandate" | "expense"

Response Body

application/json

curl -X GET "https://example.com/api/payouts"
{
  "data": [
    {
      "id": "string",
      "businessId": "string",
      "amount": 0,
      "currency": "string",
      "description": "string",
      "type": "SCHEDULED",
      "payoutCategory": "wallet",
      "isPayoutInitiated": true,
      "isProcessable": true,
      "recipient": {
        "accountName": "string",
        "accountNumber": "string",
        "bankName": "string",
        "bankCode": "string"
      },
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "total": 0,
    "page": 0,
    "limit": 0,
    "count": 0,
    "previousPage": 0,
    "nextPage": 0,
    "pageCount": 0,
    "totalRecords": 0
  }
}
Empty
Empty

How is this guide?

Last updated on